org.apache.hc.client5.http.impl.auth

## Class UnsupportedDigestAlgorithmException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.hc.client5.http.impl.auth.UnsupportedDigestAlgorithmException

All Implemented Interfaces:
  Serializable

    public class UnsupportedDigestAlgorithmException
    extends RuntimeException

Authentication credentials required to respond to a authentication challenge are invalid

Since:
  4.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnsupportedDigestAlgorithmException()` Creates a new UnsupportedDigestAlgorithmException with a `null` detail message.
`UnsupportedDigestAlgorithmException(String message)` Creates a new UnsupportedDigestAlgorithmException with the specified message.
`UnsupportedDigestAlgorithmException(String message, Throwable cause)` Creates a new UnsupportedDigestAlgorithmException with the specified detail message and cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnsupportedDigestAlgorithmException

    public UnsupportedDigestAlgorithmException()

Creates a new UnsupportedDigestAlgorithmException with a `null` detail message.

#### UnsupportedDigestAlgorithmException

    public UnsupportedDigestAlgorithmException(String message)

Creates a new UnsupportedDigestAlgorithmException with the specified message.

Parameters:
  `message` - the exception detail message

#### UnsupportedDigestAlgorithmException

    public UnsupportedDigestAlgorithmException(String message,
                                       Throwable cause)

Creates a new UnsupportedDigestAlgorithmException with the specified detail message and cause.

Parameters:
  `message` - the exception detail message
  `cause` - the `Throwable` that caused this exception, or `null` if the cause is unavailable, unknown, or not a `Throwable`